// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 51;
	objects = {

/* Begin PBXBuildFile section */
		0B7E60A8EE1CB184448925E8 /* MainViewOutput.swift in Sources */ = {isa = PBXBuildFile; fileRef = AF905EC76787876AFBEE15FB /* MainViewOutput.swift */; };
		35AD04967553C46E7DB58718 /* MainModuleInput.swift in Sources */ = {isa = PBXBuildFile; fileRef = D57A1DF8EEB31AC65D207A0B /* MainModuleInput.swift */; };
		4969D35E256ADB300042150A /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4969D35D256ADB300042150A /* AppDelegate.swift */; };
		4969D367256ADB310042150A /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 4969D366256ADB310042150A /* Assets.xcassets */; };
		4969D36A256ADB310042150A /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 4969D368256ADB310042150A /* LaunchScreen.storyboard */; };
		4969D387256AE5150042150A /* R.generated.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4969D386256AE5150042150A /* R.generated.swift */; };
		4969D38A256AF3FA0042150A /* AppCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4969D389256AF3FA0042150A /* AppCoordinator.swift */; };
		4969D38E256AF42F0042150A /* Coordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4969D38D256AF42F0042150A /* Coordinator.swift */; };
		4969D392256AF4C20042150A /* MainCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4969D391256AF4C20042150A /* MainCoordinator.swift */; };
		49738031258509C40099694F /* Constants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 49738030258509C40099694F /* Constants.swift */; };
		4973803525850AD40099694F /* MainCollectionLayoutCache.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4973803425850AD40099694F /* MainCollectionLayoutCache.swift */; };
		4973803925850AF80099694F /* MainCollectionLayout.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4973803825850AF80099694F /* MainCollectionLayout.swift */; };
		4973804225850C6E0099694F /* WallpCollectionViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4973804125850C6E0099694F /* WallpCollectionViewCell.swift */; };
		4973804B25850CD10099694F /* UICollectionView+Reuse.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4973804A25850CD10099694F /* UICollectionView+Reuse.swift */; };
		4973804E25851AA90099694F /* UIView+Rounded.swift in Sources */ = {isa = PBXBuildFile; fileRef = 4973804D25851AA90099694F /* UIView+Rounded.swift */; };
		74B62F69288B777738FAD938 /* MainPresenter.swift in Sources */ = {isa = PBXBuildFile; fileRef = 57256BD0B1E524294FFB491D /* MainPresenter.swift */; };
		81126AE8E54654C27C091E6A /* MainModuleConfigurator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 63F4DC3AA1099C5B42E606BF /* MainModuleConfigurator.swift */; };
		8ECE4F90E894A0C194D37298 /* MainModuleOutput.swift in Sources */ = {isa = PBXBuildFile; fileRef = 97EE82D89C928ADB39F68BD2 /* MainModuleOutput.swift */; };
		A7B986C535A7A3137FA331E6 /* MainViewInput.swift in Sources */ = {isa = PBXBuildFile; fileRef = BF158983B07B863F53C37D9F /* MainViewInput.swift */; };
		B44046A5335F0ABAD5571116 /* Pods_Wallp.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = FD23508A10ADEA8AEAC9AC14 /* Pods_Wallp.framework */; };
		BDF627D2331FABE3A75BA89B /* MainViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 9A1E83C7726BDBE4BBA2685D /* MainViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		3D7A8703276D1DB980AC72BB /* Pods-Wallp.release.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Wallp.release.xcconfig"; path = "Target Support Files/Pods-Wallp/Pods-Wallp.release.xcconfig"; sourceTree = "<group>"; };
		4969D35A256ADB300042150A /* Wallp.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Wallp.app; sourceTree = BUILT_PRODUCTS_DIR; };
		4969D35D256ADB300042150A /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		4969D366256ADB310042150A /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		4969D369256ADB310042150A /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		4969D36B256ADB310042150A /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		4969D386256AE5150042150A /* R.generated.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = R.generated.swift; sourceTree = SOURCE_ROOT; };
		4969D389256AF3FA0042150A /* AppCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppCoordinator.swift; sourceTree = "<group>"; };
		4969D38D256AF42F0042150A /* Coordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Coordinator.swift; sourceTree = "<group>"; };
		4969D391256AF4C20042150A /* MainCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainCoordinator.swift; sourceTree = "<group>"; };
		49738030258509C40099694F /* Constants.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Constants.swift; sourceTree = "<group>"; };
		4973803425850AD40099694F /* MainCollectionLayoutCache.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainCollectionLayoutCache.swift; sourceTree = "<group>"; };
		4973803825850AF80099694F /* MainCollectionLayout.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainCollectionLayout.swift; sourceTree = "<group>"; };
		4973804125850C6E0099694F /* WallpCollectionViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WallpCollectionViewCell.swift; sourceTree = "<group>"; };
		4973804A25850CD10099694F /* UICollectionView+Reuse.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UICollectionView+Reuse.swift"; sourceTree = "<group>"; };
		4973804D25851AA90099694F /* UIView+Rounded.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "UIView+Rounded.swift"; sourceTree = "<group>"; };
		57256BD0B1E524294FFB491D /* MainPresenter.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainPresenter.swift; sourceTree = "<group>"; };
		617F82F0C0099CB4DCCE5086 /* Pods-Wallp.debug.xcconfig */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = text.xcconfig; name = "Pods-Wallp.debug.xcconfig"; path = "Target Support Files/Pods-Wallp/Pods-Wallp.debug.xcconfig"; sourceTree = "<group>"; };
		63F4DC3AA1099C5B42E606BF /* MainModuleConfigurator.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainModuleConfigurator.swift; sourceTree = "<group>"; };
		97EE82D89C928ADB39F68BD2 /* MainModuleOutput.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainModuleOutput.swift; sourceTree = "<group>"; };
		9A1E83C7726BDBE4BBA2685D /* MainViewController.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainViewController.swift; sourceTree = "<group>"; };
		AF905EC76787876AFBEE15FB /* MainViewOutput.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainViewOutput.swift; sourceTree = "<group>"; };
		BF158983B07B863F53C37D9F /* MainViewInput.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainViewInput.swift; sourceTree = "<group>"; };
		D57A1DF8EEB31AC65D207A0B /* MainModuleInput.swift */ = {isa = PBXFileReference; includeInIndex = 1; lastKnownFileType = sourcecode.swift; path = MainModuleInput.swift; sourceTree = "<group>"; };
		FD23508A10ADEA8AEAC9AC14 /* Pods_Wallp.framework */ = {isa = PBXFileReference; explicitFileType = wrapper.framework; includeInIndex = 0; path = Pods_Wallp.framework; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		4969D357256ADB300042150A /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				B44046A5335F0ABAD5571116 /* Pods_Wallp.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0339FA0EEB70F38C3CE1A03F /* Presenter */ = {
			isa = PBXGroup;
			children = (
				57256BD0B1E524294FFB491D /* MainPresenter.swift */,
				D57A1DF8EEB31AC65D207A0B /* MainModuleInput.swift */,
				97EE82D89C928ADB39F68BD2 /* MainModuleOutput.swift */,
			);
			path = Presenter;
			sourceTree = "<group>";
		};
		17B70BAAE315DED5B15ED30D /* Pods */ = {
			isa = PBXGroup;
			children = (
				617F82F0C0099CB4DCCE5086 /* Pods-Wallp.debug.xcconfig */,
				3D7A8703276D1DB980AC72BB /* Pods-Wallp.release.xcconfig */,
			);
			path = Pods;
			sourceTree = "<group>";
		};
		2D62BA1782A504717D63A222 /* View */ = {
			isa = PBXGroup;
			children = (
				9A1E83C7726BDBE4BBA2685D /* MainViewController.swift */,
				BF158983B07B863F53C37D9F /* MainViewInput.swift */,
				AF905EC76787876AFBEE15FB /* MainViewOutput.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		4969D351256ADB300042150A = {
			isa = PBXGroup;
			children = (
				4969D35C256ADB300042150A /* Wallp */,
				4969D35B256ADB300042150A /* Products */,
				17B70BAAE315DED5B15ED30D /* Pods */,
				ACBD1333AAF3D44C7F6C426F /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		4969D35B256ADB300042150A /* Products */ = {
			isa = PBXGroup;
			children = (
				4969D35A256ADB300042150A /* Wallp.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		4969D35C256ADB300042150A /* Wallp */ = {
			isa = PBXGroup;
			children = (
				4969D37F256AE1880042150A /* UserInterface */,
				4969D35D256ADB300042150A /* AppDelegate.swift */,
				4969D382256AE3C20042150A /* Resources */,
			);
			path = Wallp;
			sourceTree = "<group>";
		};
		4969D37F256AE1880042150A /* UserInterface */ = {
			isa = PBXGroup;
			children = (
				49738030258509C40099694F /* Constants.swift */,
				4973804425850C870099694F /* Extensions */,
				4969D38C256AF4230042150A /* Coordinators */,
				4969D380256AE1A50042150A /* Scenes */,
			);
			path = UserInterface;
			sourceTree = "<group>";
		};
		4969D380256AE1A50042150A /* Scenes */ = {
			isa = PBXGroup;
			children = (
				D196258D52740B7705B6E7FA /* Main */,
			);
			path = Scenes;
			sourceTree = "<group>";
		};
		4969D382256AE3C20042150A /* Resources */ = {
			isa = PBXGroup;
			children = (
				4969D366256ADB310042150A /* Assets.xcassets */,
				4969D386256AE5150042150A /* R.generated.swift */,
				4969D368256ADB310042150A /* LaunchScreen.storyboard */,
				4969D36B256ADB310042150A /* Info.plist */,
			);
			path = Resources;
			sourceTree = "<group>";
		};
		4969D38C256AF4230042150A /* Coordinators */ = {
			isa = PBXGroup;
			children = (
				4969D38D256AF42F0042150A /* Coordinator.swift */,
				4969D389256AF3FA0042150A /* AppCoordinator.swift */,
				4969D391256AF4C20042150A /* MainCoordinator.swift */,
			);
			path = Coordinators;
			sourceTree = "<group>";
		};
		4973803325850AB60099694F /* Layout */ = {
			isa = PBXGroup;
			children = (
				4973803425850AD40099694F /* MainCollectionLayoutCache.swift */,
				4973803825850AF80099694F /* MainCollectionLayout.swift */,
			);
			path = Layout;
			sourceTree = "<group>";
		};
		4973803B25850C2C0099694F /* Cells */ = {
			isa = PBXGroup;
			children = (
				4973804125850C6E0099694F /* WallpCollectionViewCell.swift */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		4973804425850C870099694F /* Extensions */ = {
			isa = PBXGroup;
			children = (
				4973804A25850CD10099694F /* UICollectionView+Reuse.swift */,
				4973804D25851AA90099694F /* UIView+Rounded.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		9EFDBADE1E688B35137587DC /* Configurator */ = {
			isa = PBXGroup;
			children = (
				63F4DC3AA1099C5B42E606BF /* MainModuleConfigurator.swift */,
			);
			path = Configurator;
			sourceTree = "<group>";
		};
		ACBD1333AAF3D44C7F6C426F /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				FD23508A10ADEA8AEAC9AC14 /* Pods_Wallp.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		D196258D52740B7705B6E7FA /* Main */ = {
			isa = PBXGroup;
			children = (
				4973803B25850C2C0099694F /* Cells */,
				4973803325850AB60099694F /* Layout */,
				9EFDBADE1E688B35137587DC /* Configurator */,
				0339FA0EEB70F38C3CE1A03F /* Presenter */,
				2D62BA1782A504717D63A222 /* View */,
			);
			path = Main;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		4969D359256ADB300042150A /* Wallp */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 4969D36E256ADB310042150A /* Build configuration list for PBXNativeTarget "Wallp" */;
			buildPhases = (
				F109CC8746A55FF6B50634CA /* [CP] Check Pods Manifest.lock */,
				4969D37A256AE01D0042150A /* R.Swift */,
				4969D356256ADB300042150A /* Sources */,
				4969D357256ADB300042150A /* Frameworks */,
				4969D358256ADB300042150A /* Resources */,
				0BCA58A2BC21E4BA1D9804A4 /* [CP] Embed Pods Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Wallp;
			productName = Wallp;
			productReference = 4969D35A256ADB300042150A /* Wallp.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		4969D352256ADB300042150A /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1220;
				LastUpgradeCheck = 1220;
				TargetAttributes = {
					4969D359256ADB300042150A = {
						CreatedOnToolsVersion = 12.2;
						LastSwiftMigration = 1220;
					};
				};
			};
			buildConfigurationList = 4969D355256ADB300042150A /* Build configuration list for PBXProject "Wallp" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 4969D351256ADB300042150A;
			productRefGroup = 4969D35B256ADB300042150A /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				4969D359256ADB300042150A /* Wallp */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		4969D358256ADB300042150A /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4969D36A256ADB310042150A /* LaunchScreen.storyboard in Resources */,
				4969D367256ADB310042150A /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0BCA58A2BC21E4BA1D9804A4 /* [CP] Embed Pods Frameworks */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Wallp/Pods-Wallp-frameworks-${CONFIGURATION}-input-files.xcfilelist",
			);
			name = "[CP] Embed Pods Frameworks";
			outputFileListPaths = (
				"${PODS_ROOT}/Target Support Files/Pods-Wallp/Pods-Wallp-frameworks-${CONFIGURATION}-output-files.xcfilelist",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-Wallp/Pods-Wallp-frameworks.sh\"\n";
			showEnvVarsInLog = 0;
		};
		4969D37A256AE01D0042150A /* R.Swift */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"$TEMP_DIR/rswift-lastrun",
			);
			name = R.Swift;
			outputFileListPaths = (
			);
			outputPaths = (
				$SRCROOT/R.generated.swift,
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"$PODS_ROOT/R.swift/rswift\" generate \"$SRCROOT/R.generated.swift\"\n";
		};
		F109CC8746A55FF6B50634CA /* [CP] Check Pods Manifest.lock */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${PODS_PODFILE_DIR_PATH}/Podfile.lock",
				"${PODS_ROOT}/Manifest.lock",
			);
			name = "[CP] Check Pods Manifest.lock";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(DERIVED_FILE_DIR)/Pods-Wallp-checkManifestLockResult.txt",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
			showEnvVarsInLog = 0;
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		4969D356256ADB300042150A /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				4969D38A256AF3FA0042150A /* AppCoordinator.swift in Sources */,
				4969D35E256ADB300042150A /* AppDelegate.swift in Sources */,
				4973804B25850CD10099694F /* UICollectionView+Reuse.swift in Sources */,
				81126AE8E54654C27C091E6A /* MainModuleConfigurator.swift in Sources */,
				4973803525850AD40099694F /* MainCollectionLayoutCache.swift in Sources */,
				74B62F69288B777738FAD938 /* MainPresenter.swift in Sources */,
				35AD04967553C46E7DB58718 /* MainModuleInput.swift in Sources */,
				8ECE4F90E894A0C194D37298 /* MainModuleOutput.swift in Sources */,
				4973804E25851AA90099694F /* UIView+Rounded.swift in Sources */,
				BDF627D2331FABE3A75BA89B /* MainViewController.swift in Sources */,
				49738031258509C40099694F /* Constants.swift in Sources */,
				4969D38E256AF42F0042150A /* Coordinator.swift in Sources */,
				4973803925850AF80099694F /* MainCollectionLayout.swift in Sources */,
				4969D387256AE5150042150A /* R.generated.swift in Sources */,
				4969D392256AF4C20042150A /* MainCoordinator.swift in Sources */,
				A7B986C535A7A3137FA331E6 /* MainViewInput.swift in Sources */,
				0B7E60A8EE1CB184448925E8 /* MainViewOutput.swift in Sources */,
				4973804225850C6E0099694F /* WallpCollectionViewCell.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		4969D368256ADB310042150A /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				4969D369256ADB310042150A /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		4969D36C256ADB310042150A /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		4969D36D256ADB310042150A /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		4969D36F256ADB310042150A /* Debug */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 617F82F0C0099CB4DCCE5086 /* Pods-Wallp.debug.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Wallp/Resources/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.fikus.wallp.Wallp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		4969D370256ADB310042150A /* Release */ = {
			isa = XCBuildConfiguration;
			baseConfigurationReference = 3D7A8703276D1DB980AC72BB /* Pods-Wallp.release.xcconfig */;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CLANG_ENABLE_MODULES = YES;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = Wallp/Resources/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.fikus.wallp.Wallp;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		4969D355256ADB300042150A /* Build configuration list for PBXProject "Wallp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4969D36C256ADB310042150A /* Debug */,
				4969D36D256ADB310042150A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		4969D36E256ADB310042150A /* Build configuration list for PBXNativeTarget "Wallp" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				4969D36F256ADB310042150A /* Debug */,
				4969D370256ADB310042150A /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 4969D352256ADB300042150A /* Project object */;
}
